






namespace ScipBe.Demo.RiaCodeGen.Web.Services
{
	using System;
	using System.Collections.Generic;
	using System.ComponentModel;
	using System.ComponentModel.DataAnnotations;
	using System.Linq;
	using System.ServiceModel;
	using System.ServiceModel.DomainServices.Client;
	using System.ServiceModel.DomainServices.Client.ApplicationServices;
	using ScipBe.Demo.RiaCodeGen.Framework;
	public sealed partial class ProductContext : MyDomainContext
	{
		public ProductContext() : 
			this(new WebDomainClient<IProductServiceContract>(new Uri("ScipBe-Demo-RiaCodeGen-Web-Services-ProductService.svc", UriKind.Relative)))
		{
		}
				
		public ProductContext(Uri serviceUri) : 
			this(new WebDomainClient<IProductServiceContract>(serviceUri))
		{
		}
		
		public ProductContext(DomainClient domainClient) :
			base(domainClient)
		{
			this.OnCreated();
		}
		protected override EntityContainer CreateEntityContainer()
		{
			return new ProductContextEntityContainer();
		}
		internal sealed class ProductContextEntityContainer : EntityContainer
		{
			public ProductContextEntityContainer()
			{
				this.CreateEntitySet<ScipBe.Demo.RiaCodeGen.Web.Domain.Product>(EntitySetOperations.All);}
		}
		public EntityQuery<ScipBe.Demo.RiaCodeGen.Web.Domain.Product> GetProductsQuery(
		)
		{
			this.ValidateMethod("GetProductsQuery", null);
			return base.CreateQuery<ScipBe.Demo.RiaCodeGen.Web.Domain.Product>("GetProducts", null, 
					false, true);
		}
		public EntityQuery<ScipBe.Demo.RiaCodeGen.Web.Domain.Product> GetProductsByNameQuery(
		string searchText)
		{
			Dictionary<string, object> parameters = new Dictionary<string, object>();			
			parameters.Add("searchText", searchText);
			this.ValidateMethod("GetProductsByNameQuery", parameters);
			return base.CreateQuery<ScipBe.Demo.RiaCodeGen.Web.Domain.Product>("GetProductsByName", parameters, 
					false, true);
		}
		public EntitySet<ScipBe.Demo.RiaCodeGen.Web.Domain.Product> Products
		{
		    get
		    {
		        return base.EntityContainer.GetEntitySet<ScipBe.Demo.RiaCodeGen.Web.Domain.Product>();
		    }
		}
		[System.ServiceModel.ServiceContract()]
		public interface IProductServiceContract
		{
			[System.ServiceModel.Web.WebGet]
			[FaultContract(typeof(DomainServiceFault), Action="http://tempuri.org/ProductService/GetProductsDomainServiceFault", Name="DomainServiceFault", Namespace="DomainServices")]
			[OperationContract(AsyncPattern=true, Action="http://tempuri.org/ProductService/GetProducts", ReplyAction="http://tempuri.org/ProductService/GetProductsResponse")]	
			System.IAsyncResult BeginGetProducts(
			System.AsyncCallback callback, object asyncState);
					
			System.ServiceModel.DomainServices.Client.QueryResult<ScipBe.Demo.RiaCodeGen.Web.Domain.Product> EndGetProducts(System.IAsyncResult result);
			[System.ServiceModel.Web.WebGet]
			[FaultContract(typeof(DomainServiceFault), Action="http://tempuri.org/ProductService/GetProductsByNameDomainServiceFault", Name="DomainServiceFault", Namespace="DomainServices")]
			[OperationContract(AsyncPattern=true, Action="http://tempuri.org/ProductService/GetProductsByName", ReplyAction="http://tempuri.org/ProductService/GetProductsByNameResponse")]	
			System.IAsyncResult BeginGetProductsByName(
			string searchText,
			System.AsyncCallback callback, object asyncState);
					
			System.ServiceModel.DomainServices.Client.QueryResult<ScipBe.Demo.RiaCodeGen.Web.Domain.Product> EndGetProductsByName(System.IAsyncResult result);
			[FaultContract(typeof(DomainServiceFault), Action="http://tempuri.org/ProductService/SubmitChangesDomainServiceFault", Name="DomainServiceFault", Namespace="DomainServices")]
			[OperationContract(AsyncPattern=true, Action="http://tempuri.org/ProductService/SubmitChanges", ReplyAction="http://tempuri.org/ProductService/SubmitChangesResponse")]	
			IAsyncResult BeginSubmitChanges(IEnumerable<ChangeSetEntry> changeSet, AsyncCallback callback, object asyncState);
			IEnumerable<ChangeSetEntry> EndSubmitChanges(IAsyncResult result);			
		}
				
		partial void OnCreated();
	}
}






namespace ScipBe.Demo.RiaCodeGen.Web.Domain
{
	using ScipBe.Demo.RiaCodeGen.Framework;
	using ScipBe.Demo.RiaCodeGen.Web.Domain;
	using System.Diagnostics;

	[System.Runtime.Serialization.DataContract(Namespace = "http://schemas.datacontract.org/2004/07/ScipBe.Demo.RiaCodeGen.Web.Domain")]
	[DebuggerDisplay("{ProductName}")]
    public sealed partial class Product : MyEntity, IId
	{
		public Product()
		{
			this.OnCreated();
		}
		[System.Runtime.Serialization.DataMemberAttribute()]
		[System.ComponentModel.DataAnnotations.RoundtripOriginalAttribute()]
		public System.Nullable<int> CategoryId
		{
			get
			{
				return this._categoryId;
			} 
			set 
			{
				if(this._categoryId != value)
				{
					this.OnCategoryIdChanging(value);	
					this.RaiseDataMemberChanging("CategoryId");
					this.ValidateProperty("CategoryId", value);
					this._categoryId = value;
					this.RaiseDataMemberChanged("CategoryId");
					this.OnCategoryIdChanged();
				}
			}
		}
		private System.Nullable<int> _categoryId;
		[System.Runtime.Serialization.DataMemberAttribute()]
		public bool Discontinued
		{
			get
			{
				return this._discontinued;
			} 
			set 
			{
				if(this._discontinued != value)
				{
					this.OnDiscontinuedChanging(value);	
					this.RaiseDataMemberChanging("Discontinued");
					this.ValidateProperty("Discontinued", value);
					this._discontinued = value;
					this.RaiseDataMemberChanged("Discontinued");
					this.OnDiscontinuedChanged();
				}
			}
		}
		private bool _discontinued;
		[System.Runtime.Serialization.DataMemberAttribute()]
		[System.ComponentModel.DataAnnotations.EditableAttribute(false, AllowInitialValue=true)]
		[System.ComponentModel.DataAnnotations.KeyAttribute()]
		[System.ComponentModel.DataAnnotations.RoundtripOriginalAttribute()]
		public int Id
		{
			get
			{
				return this._id;
			} 
			set 
			{
				if(this._id != value)
				{
					this.OnIdChanging(value);	
					this.ValidateProperty("Id", value);
					this._id = value;
					this.RaisePropertyChanged("Id");
					this.OnIdChanged();
				}
			}
		}
		private int _id;
		[System.Runtime.Serialization.DataMemberAttribute()]
		[MyRequired]
		[System.ComponentModel.DataAnnotations.StringLengthAttribute(40)]
		public string ProductName
		{
			get
			{
				return this._productName;
			} 
			set 
			{
				if(this._productName != value)
				{
					this.OnProductNameChanging(value);	
					this.RaiseDataMemberChanging("ProductName");
					this.ValidateProperty("ProductName", value);
					this._productName = value;
					this.RaiseDataMemberChanged("ProductName");
					this.OnProductNameChanged();
				}
			}
		}
		private string _productName;
		[System.Runtime.Serialization.DataMemberAttribute()]
		[System.ComponentModel.DataAnnotations.StringLengthAttribute(20)]
		public string QuantityPerUnit
		{
			get
			{
				return this._quantityPerUnit;
			} 
			set 
			{
				if(this._quantityPerUnit != value)
				{
					this.OnQuantityPerUnitChanging(value);	
					this.RaiseDataMemberChanging("QuantityPerUnit");
					this.ValidateProperty("QuantityPerUnit", value);
					this._quantityPerUnit = value;
					this.RaiseDataMemberChanged("QuantityPerUnit");
					this.OnQuantityPerUnitChanged();
				}
			}
		}
		private string _quantityPerUnit;
		[System.Runtime.Serialization.DataMemberAttribute()]
		public System.Nullable<short> ReorderLevel
		{
			get
			{
				return this._reorderLevel;
			} 
			set 
			{
				if(this._reorderLevel != value)
				{
					this.OnReorderLevelChanging(value);	
					this.RaiseDataMemberChanging("ReorderLevel");
					this.ValidateProperty("ReorderLevel", value);
					this._reorderLevel = value;
					this.RaiseDataMemberChanged("ReorderLevel");
					this.OnReorderLevelChanged();
				}
			}
		}
		private System.Nullable<short> _reorderLevel;
		[System.Runtime.Serialization.DataMemberAttribute()]
		public System.Nullable<int> SupplierId
		{
			get
			{
				return this._supplierId;
			} 
			set 
			{
				if(this._supplierId != value)
				{
					this.OnSupplierIdChanging(value);	
					this.RaiseDataMemberChanging("SupplierId");
					this.ValidateProperty("SupplierId", value);
					this._supplierId = value;
					this.RaiseDataMemberChanged("SupplierId");
					this.OnSupplierIdChanged();
				}
			}
		}
		private System.Nullable<int> _supplierId;
		[System.Runtime.Serialization.DataMemberAttribute()]
		public System.Nullable<System.Decimal> UnitPrice
		{
			get
			{
				return this._unitPrice;
			} 
			set 
			{
				if(this._unitPrice != value)
				{
					this.OnUnitPriceChanging(value);	
					this.RaiseDataMemberChanging("UnitPrice");
					this.ValidateProperty("UnitPrice", value);
					this._unitPrice = value;
					this.RaiseDataMemberChanged("UnitPrice");
					this.OnUnitPriceChanged();
				}
			}
		}
		private System.Nullable<System.Decimal> _unitPrice;
		[System.Runtime.Serialization.DataMemberAttribute()]
		public System.Nullable<short> UnitsInStock
		{
			get
			{
				return this._unitsInStock;
			} 
			set 
			{
				if(this._unitsInStock != value)
				{
					this.OnUnitsInStockChanging(value);	
					this.RaiseDataMemberChanging("UnitsInStock");
					this.ValidateProperty("UnitsInStock", value);
					this._unitsInStock = value;
					this.RaiseDataMemberChanged("UnitsInStock");
					this.OnUnitsInStockChanged();
				}
			}
		}
		private System.Nullable<short> _unitsInStock;
		[System.Runtime.Serialization.DataMemberAttribute()]
		public System.Nullable<short> UnitsOnOrder
		{
			get
			{
				return this._unitsOnOrder;
			} 
			set 
			{
				if(this._unitsOnOrder != value)
				{
					this.OnUnitsOnOrderChanging(value);	
					this.RaiseDataMemberChanging("UnitsOnOrder");
					this.ValidateProperty("UnitsOnOrder", value);
					this._unitsOnOrder = value;
					this.RaiseDataMemberChanged("UnitsOnOrder");
					this.OnUnitsOnOrderChanged();
				}
			}
		}
		private System.Nullable<short> _unitsOnOrder;
		public override object GetIdentity()
		{
			return this._id;
		}
		partial void OnCreated();
		partial void OnCategoryIdChanging(System.Nullable<int> value);
		partial void OnCategoryIdChanged();
		partial void OnDiscontinuedChanging(bool value);
		partial void OnDiscontinuedChanged();
		partial void OnIdChanging(int value);
		partial void OnIdChanged();
		partial void OnProductNameChanging(string value);
		partial void OnProductNameChanged();
		partial void OnQuantityPerUnitChanging(string value);
		partial void OnQuantityPerUnitChanged();
		partial void OnReorderLevelChanging(System.Nullable<short> value);
		partial void OnReorderLevelChanged();
		partial void OnSupplierIdChanging(System.Nullable<int> value);
		partial void OnSupplierIdChanged();
		partial void OnUnitPriceChanging(System.Nullable<System.Decimal> value);
		partial void OnUnitPriceChanged();
		partial void OnUnitsInStockChanging(System.Nullable<short> value);
		partial void OnUnitsInStockChanged();
		partial void OnUnitsOnOrderChanging(System.Nullable<short> value);
		partial void OnUnitsOnOrderChanged();
	}
}






namespace ScipBe.Demo.RiaCodeGen
{
	using ScipBe.Demo.RiaCodeGen.Framework;
	public sealed partial class WebContext : MyWebContext
	{
		public WebContext()
		{			
			this.OnCreated();
		}
		partial void OnCreated();
		public new static WebContext Current
		{
		    get
		    {
		        return ((WebContext)(MyWebContext.Current));
		    }
		}
	}
}







